export const InputIrregularitiesJsonSchema = {
    type: "object",
    properties: {
        endTime: { type: "string" },
        endTimeMillis: { type: "number" },
        irregularities: {
            type: "array",
            items: {
                type: "object",
                properties: {
                    alertsCount: { type: "number" },
                    causeType: { type: "string" },
                    country: { type: "string" },
                    delaySeconds: { type: "number" },
                    detectionDate: { type: "string" },
                    detectionDateMillis: { type: "number" },
                    driversCount: { type: "number" },
                    endNode: { type: "string" },
                    highway: { type: "boolean" },
                    id: { type: "number" },
                    jamLevel: { type: "number" },
                    length: { type: "number" },
                    line: {
                        type: "array",
                        items: {
                            type: "object",
                            properties: { x: { type: "number" }, y: { type: "number" } },
                        },
                    },
                    nComments: { type: "number" },
                    nImages: { type: "number" },
                    nThumbsUp: { type: "number" },
                    regularSpeed: { type: "number" },
                    seconds: { type: "number" },
                    severity: { type: "number" },
                    speed: { type: "number" },
                    startNode: { type: "string" },
                    street: { type: "string" },
                    trend: { type: "number" },
                    type: { type: "string" },
                    updateDate: { type: "string" },
                    updateDateMillis: { type: "number" },
                },
                required: ["detectionDateMillis", "id", "updateDateMillis"],
            },
        },
        startTime: { type: "string" },
        startTimeMillis: { type: "number" },
    },
    required: ["startTimeMillis"],
};
